%define oname xfce4-taskmanager

Summary:	A small taskmanager for Xfce
Name:		xfce-taskmanager
Version:	0.3.2
Release:	%mkrel 5
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-taskmanager
Source0:	http://goodies.xfce.org/releases/xfce4-taskmanager/%{oname}-%{version}.tar.bz2
Source1:	%{oname}.desktop
# http://www.xfce.org/images/projects/library.png
Source2:	%{oname}.png
BuildRequires:	gdk-pixbuf-devel >= 0.22.0
BuildRequires:	libxfcegui4-devel
BuildRequires:	perl(XML::Parser)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
xfce-taskmanager is a small taskmanager based on the Xfce libraries.

Features:
    * Lists up all tasks of the running System
    * Provides sending signals to tasks:
    - STOP
    - CONT
    - TERM
    - KILL

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/48x48/apps

%find_lang %{oname}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/48x48/apps/xfce4-taskmanager.png


%changelog
* Tue Jun 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2007.1
+ Revision: 35902
- correct attribute bits

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 34709
- adjust desktop file

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-3mdv2008.0
+ Revision: 34562
- add desktop file
- add icon (stolen from the xfce site :)

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2008.0
+ Revision: 30480
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 30225
- new version


* Fri Dec 29 2006 Jérôme Soyer <saispo@mandriva.org> 0.3.1-6mdv2007.0
+ Revision: 102525
- Rebuild for latest xfce

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-taskmanager-0.3.1-5mdv2007.0

* Sat Sep 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.1-5mdv2007.0
- BR

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.1-4mdv2007.0
- rebuild for xfce-4.3.90.2

* Mon Apr 03 2006 Sebastien Savarin <plouf@mandriva.org> 0.3.1-3mdk
- Rebuild 
- use macros

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Fix BuildRequires

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 0.3.1-1mdk
- 0.3.1
- no need for automake and autoconf

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 0.2.1-1mdk
- 0.2.1
- %%{1}mdv2007.1
- run aclocal, autoconf and automake

* Sat Jan 22 2005 Charles A Edwards <eslrahc@mandrake.org> 0.0.1-1mdk
- 1st Mdk release

